/*-----------------------------------*\
  #RESET CSS SETTING
\*-----------------------------------*/
*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

img {
	height: auto;
}

a {
	color: inherit;
	text-decoration: none;
}

/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {
	--clr-primary: #724c21;
	--clr-secondary: #f9b23d;
	--clr-red: #bd0000;
	--clr-text-dark: #000000;
	--clr-text-light: #ffffff;
	--clr-background-body: #9c835f;
	--clr-background-img: #c4c4c4;
	--clr-background-result: #4c9654;
	--clr-background-result-draw: #035b0c;
}

html {
	font-size: 62.5%;
}

body {
	font-family: "Open Sans", sans-serif;
	line-height: 1;
}

/*-----------------------------------*\
  #GAME SETTING
\*-----------------------------------*/

.container-fluid {
	height: 110vh;
	padding: 2rem;
	background-color: var(--clr-background-body);
	width: 100%;
}

.title {
	display: flex;
	gap: 2rem;
	align-items: center;
	margin-bottom: 4rem;
	.score {
		font-weight: 600;
		color: var(--clr-red);
	}
}

.title p {
	font-size: 6.2rem;
	font-weight: bold;
	color: var(--clr-primary);
}

.title img {
	width: 7.2rem;
}

.title h1 {
	font-size: 3.6rem;
	color: var(--clr-secondary);
	text-transform: uppercase;
}

.main {
	display: flex;
	flex-shrink: 1;
	justify-content: center;

	gap: 2rem;
}

.img-box-player,
.img-box-com {
	width: 20rem;
	padding: 2rem;
}

.selected {
	background-color: var(--clr-background-img);
	border-radius: 1.5rem;
}

.main img {
	width: 10rem;
	cursor: pointer;
}

.player,
.computer {
	text-align: center;
	letter-spacing: 0.3rem;
	font-size: 3.6rem;
	color: var(--clr-text-dark);
	font-weight: bold;
	text-transform: uppercase;
	display: flex;
	flex-shrink: 1;
	flex-direction: column;
	gap: 2rem;
}

.spacing {
	align-self: center;
	text-align: center;
	font-size: 14rem;
	font-weight: bold;
	color: var(--clr-red);
	width: 25rem;
}

/*-----------------------------------*\
  #DISPLAY RESULT CSS SETTING 
\*-----------------------------------*/

.result,
.draw-result {
	color: var(--clr-text-light);
	font-size: 3.8rem;
	display: inline-block;
	padding: 2rem;
	width: 25rem;
	text-align: center;
	background-color: var(--clr-background-result);
	border-radius: 1.5rem;
	transition: all 0.1s ease-in-out;
	transform: rotate(-30deg);
}

.draw-result {
	background-color: var(--clr-background-result-draw);
}

.refresh {
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.refresh img {
	width: 8rem;
	margin-bottom: 2rem;

	cursor: pointer;
}

/*-----------------------------------*\
  #RESPONSIVE SETTING WITH MEDIA QUERY
\*-----------------------------------*/

@media (max-width: 1250px) {
	html {
		font-size: 58.5%;
	}
}

@media (max-width: 992px) {
	html {
		font-size: 51.5%;
	}
}

@media (max-width: 768px) {
	html {
		font-size: 44.5%;
	}
}

@media (max-width: 576px) {
	html {
		font-size: 37.5%;
	}
}
